using System;
using System.Data;
using System.Configuration;

namespace Paper.BusinessObject
{
    /// <summary>
    /// Teacher 的摘要说明
    /// </summary>
    public class Teacher
    {
        public string PrimaryKeyName = "Id";

        private string _teacherID = null;
        private string _teacherName = null;
        private string _teacherSex = null;
        private string _postName = null;
        private string _academy = null;
        private string _teachingDepartment = null;
        private DateTime _workTime;
        private DateTime _birthday;
        private DateTime _postOfTime;
        private string _degree = null;
        private string _mailBox = "darkness@163.com";
        private int _stateOfTeacher = 0;
        private string _firstOfKnowledge = null;
        private string _graduateCollage = null;
        private string _specialty = null;
        private string _PID = null;
        private string _personResume = null;
        private byte[] _photo = null;
        private string _teacherPassword = null;
        private string _popedom = null;
        private string _departmentID = "870101";
        private int id;

        public Teacher()
        {
        }

        public string TeacherID
        {
            get { return _teacherID; }
            set { _teacherID = value; }
        }

        public string TeacherName
        {
            get { return this._teacherName; }
            set { this._teacherName = value; }
        }

        public string TeacherSex
        {
            get { return this._teacherSex; }
            set { this._teacherSex = value; }
        }

        public string PostName
        {
            get { return _postName; }
            set { _postName = value; }
        }

        public string Academy
        {
            get { return _academy; }
            set { _academy = value; }
        }

        public string TeachingDepartment
        {
            get { return _teachingDepartment; }
            set { _teachingDepartment = value; }
        }

        public DateTime WorkTime
        {
            get { return _workTime; }
            set { _workTime = value; }
        }

        public DateTime Birthday
        {
            get { return _birthday; }
            set { _birthday = value; }
        }

        public DateTime PostOfTime
        {
            get { return _postOfTime; }
            set { _postOfTime = value; }
        }

        public string Degree
        {
            get { return _degree; }
            set { _degree = value; }
        }

        public string MailBox
        {
            get { return _mailBox; }
            set { _mailBox = value; }
        }

        public int StateOfTeacher
        {
            get { return _stateOfTeacher; }
            set { _stateOfTeacher = value; }
        }

        public string FirstOfKnowledge
        {
            get { return _firstOfKnowledge; }
            set { _firstOfKnowledge = value; }
        }

        public string GraduateCollage
        {
            get { return _graduateCollage; }
            set { _graduateCollage = value; }
        }

        public string Specialty
        {
            get { return _specialty; }
            set { _specialty = value; }
        }

        public string PID
        {
            get { return _PID; }
            set { _PID = value; }
        }

        public string PersonResume
        {
            get { return _personResume; }
            set { _personResume = value; }
        }

        public byte[] Photo
        {
            get { return _photo; }
            set { _photo = value; }
        }

        public string TeacherPassword
        {
            get { return _teacherPassword; }
            set { _teacherPassword = value; }
        }
        
        public string Popedom
        {
            get { return _popedom; }
            set { _popedom = value; }
        }

        public string DepartmentID
        {
            get { return this._departmentID; }
            set { this._departmentID = value; }
        }

        public int Id
        {
            get { return this.id; }
            set { this.id = value; }
        }
    }
}